<?php namespace Lunovus\ExternalStore;

use Lunovus\ExternalStore\AdminSettings;

use Lunovus\ExternalStore\Shortcodes\Shop as ShopShortcode;
use Lunovus\ExternalStore\Shortcodes\Account as AccountShortcode;

class Admin
{
    public static function init()
    {
        self::initSettings();
        self::addShortcodes();
        self::enableAutoupdate();
    }

    /**
     * Init plugin admin settings
     */
    public static function initSettings()
    {
        AdminSettings::init();
    }

    /**
     * Add shortcodes
     */
    public static function addShortcodes()
    {
        ShopShortcode::init();
        AccountShortcode::init();
    }

    /**
     * Enable autoupdate for the plugin for production only
     */
    public static function enableAutoupdate()
    {
        if (LUNOVUS_EXTERNAL_STORE__ENVIRONMENT == 'production')
        {
            add_filter('auto_update_plugin', function($update, $item) {
                return ($item->slug == LUNOVUS_EXTERNAL_STORE_NAME)
                    ? true : $update;
            }, 10, 2);
        }
    }
}
